import type { Strapi } from "@strapi/strapi";

export default async ({ strapi }: { strapi: Strapi }) => {
	Object.values(strapi.contentTypes).forEach(async (contentType: any) => {
		if (contentType.uid.includes("api::")) {
			// Add workflow property to the content-type
			contentType.attributes.workflow = {
				type: "relation",
				relation: "morphOne",
				target: "plugin::review-workflow.workflow",
				morphBy: "related",
				private: false,
				configurable: false
			};
		}
	});
};
